Skip to main content

Get Segment

Retrieve a specific segment by UUID, including its audience size.

Request

GET /segments/{uuid}

Path Parameters

ParameterTypeDescription
uuidstringSegment's UUID

Example Request

curl -X GET "https://email.easy.tools/api/v1/segments/9f1c2e7a-3b4d-4f8a-9c2e-1a2b3c4d5e6f" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"

Response

Success Response (200 OK)

{
"data": {
"uuid": "9f1c2e7a-3b4d-4f8a-9c2e-1a2b3c4d5e6f",
"name": "Lapsed buyers",
"contacts_count": 1284,
"contacts_count_calculated_at": "2026-06-26T08:12:03Z",
"created_at": "2026-02-10T14:20:00Z",
"updated_at": "2026-06-25T09:01:11Z"
}
}

Response Fields

The segment has the fields described in Segment Object.

Error Responses

Not Found Error (404)

{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Segment with uuid '9f1c2e7a-3b4d-4f8a-9c2e-1a2b3c4d5e6f' not found"
}
}